VDIR(1)

NAZWA
vdir - wypisuje zawartość katalogu w długim formacie

SKŁADNIA
vdir [OPCJA]... [PLIK]...

OPIS

Program vdir jest równoważny wywołaniu ls -l -b, czyli wypisaniu plików w długim formacie oraz oznaczeniu znaków specjalnych za pomocą \. Wypisuje informacje o PLIKACH (domyślnie - o bieżącym katalogu). Sortuje wpisy alfabetycznie, jeżeli nie podano żadnej z opcji -cftuvSUX ani --sort.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-a, --all
    bez ukrywania plików zaczynających się od .

-A, --almost-all
    bez pokazywania . ani ..

--author
    z opcją -l: wyświetla autora każdego pliku

-b, --escape
    cytuje znaki niegraficzne w stylu języka C (ósemkowo)

--block-size=ROZMIAR
    przelicza rozmiary według ROZMIARU przed ich wyświetleniem. Na przykład --block-size=M wyświetla rozmiary w jednostkach 1 048 576 bajtów. Patrz format ROZMIARU poniżej

-B, --ignore-backups
    nie wyświetla plików kończących się znakiem ~

-c
     z -lt:sortuje wyniki wg ctime (czasu ostatniej modyfikacji danych o pliku) i wypisuje go;
     z -l: sortuje wyniki według nazwy i wypisuje ctime;
     w pozostałych przypadkach: sortuje według ctime, poczynając od najnowszych plików

-C  wypisuje pliki w kolumnach

--color[=KIEDY]
    koloruje wyniki. KIEDY przyjmuje domyślnie wartość always. Może być to również never lub auto. Więcej informacji znajduje się poniżej

-d, --directory
    wyświetla katalogi zamiast ich zawartości, bez rozwiązywania dowiązań symbolicznych

-D, --dired
    tworzy dane wyjściowe dla trybu dired Emacsa

-f  nie sortuje, włącza -aU, wyłącza -ls --color

-F, --classify
    dodaje znak wskazujący typ wpisu (jeden z następujących: */=>@|)

--file-type
    podobnie, lecz nie używa *

--format=SŁOWO
    across odpowiada -x (poziomo), commas -m (oddzielone przecinkami), horizontal -x (poziomo), long -l (długi, z dodatkowymi informacjami), single-column -1 (w jednej kolumnie), verbose -l (długi, z dodatkowymi informacjami), vertical -C (pionowy, w kolumnach)

--full-time
    jak -l --time-style=full-iso

-g  jak -l, ale nie wypisuje właściciela

--group-directories-first
    grupuje najpierw katalogi

    ta opcja może być uzupełniona opcją --sort, ale wyłącza ją użycie opcji --sort=none (-U)

-G, --no-group
    w długim formacie, nie pokazuje informacji o grupach

-h, --human-readable
    z -l, wyświetla rozmiary w formacie czytelnym dla ludzi (np. 1K, 234M, 2G)

--si
    podobnie, ale używa potęg 1000 zamiast 1024

-H, --dereference-command-line
    podąża za dowiązaniami symbolicznymi podanymi w wierszu poleceń

--dereference-command-line-symlink-to-dir
    podąża za każdym dowiązaniem symbolicznym wskazującym na katalog

--hide=WZORZEC
    nie pokazuje wpisów pasujących do WZORCA powłoki (wyłączane przez -a lub -A)

--indicator-style=SŁOWO
    dodaje wskaźniki typów plików stylu SŁOWO: none (domyślnie - brak), slash (-p), file-type (--file-type), classify (-F)

-i, --inode
    wyświetla numer i-węzła każdego pliku

-I, --ignore=WZORZEC
    nie pokazuje plików pasujących do WZORCA powłoki

-k, --kibibytes
    używa 1024-bajtowych bloków

-l  używa długiego formatu wyjściowego

-L, --dereference
    podczas pokazywania informacji pliku dla dowiązania symbolicznego, pokazuje informacje o pliku wskazywanym przez dowiązanie, zamiast o nim samym

-m  wypełnia wpisami, oddzielonymi przecinkami, całą dostępną szerokość

-n, --numeric-uid-gid
    jak -l, ale wypisuje numeryczne identyfikatory użytkownika i grupy

-N, --literal
    wypisuje nazwy plików dokładnie (bez specjalnego traktowania np. znaków sterujących)

-o  jak -l, ale bez informacji o grupie

-p, --indicator-style=slash
    dodaje wskaźnik / do katalogów

-q, --hide-control-chars
    wypisuje ? zamiast znaków niedrukowalnych

--show-control-chars
    pokazuje znaki niedrukowalne bez zmian (domyślnie, chyba że program nazywa się ls, a wyjściem jest terminal)

-Q, --quote-name
    ujmuje nazwy w podwójne cudzysłowy

--quoting-style=SŁOWO
    używa cytowania wpisów w stylu SŁOWO: literal, locale, shell, shell-always, c, escape.

-r, --reverse
    odwraca porządek sortowania

-R, --recursive
    wypisuje katalogi rekursywnie

-s, --size
    wypisuje rozmiar zajęty przez każdy plik, w blokach

-S  sortuje według rozmiaru

--sort=SŁOWO
    sortuje wg SŁOWA zamiast nazwy: none - jak -U, extension -X, size -S, time -t, version -v

--time=SŁOWO
    z -l: pokazuje czas według SŁOWA zamiast czasu modyfikacji: atime - jak -u, access -u, use -u, ctime -c lub status -c; używa określonego czasu jako klucza sortowania gdy podano --sort=time

--time-style=STYL
    z -l, pokazuje czas przy użyciu STYLU: full-iso, long-iso, iso, locale, +FORMAT. FORMAT jest interpretowany jak przez program date; jeśli FORMAT to FORMAT1<znak-nowego-wiersza>FORMAT2, to FORMAT1 dotyczy dawniejszych plików, a FORMAT2 nowszych. Jeżeli STYL jest poprzedzony posix-, to STYL odnosi się tylko dla ustawień locale spoza POSIX

-t  sortuje według czasu modyfikacji, poczynając od najnowszych

-T, --tabsize=KOLUMNA
    przypisuje tabulatorowi tyle znaków co KOLUMNA, zamiast domyślnych 8

-u
     z -lt: sortuje i wypisuje według czasu ostatniego dostępu,
     z -l: pokazuje czas dostępu i sortuje według nazw,
     w pozostałych przypadkach: sortuje według czasu dostępu

-U  bez sortowania, wypisuje według kolejności w katalogu

-v  sortuje według liczb (numerów wersji) w tekście

-w, --width=KOLUMNA
    przyjmuje podaną szerokość ekranu zamiast wartości bieżącej

-x  wypisuje nazwy w wierszach, zamiast w kolumnach

-X  sortuje alfabetycznie według rozszerzeń

-Z, --context
    wyświetla kontekst bezpieczeństwa SELinux dla każdego pliku

-1  wypisuje po jednym pliku w wierszu

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

ROZMIAR jest liczbą całkowitą wraz z opcjonalną jednostką (np. 10M to 10*1024*1024). Jednostki to: K, M, G, T, P, E, Z, Y (potęgi 1024) lub KB, MB itd. (potęgi 1000).

Używanie kolorów do wyróżnienia typów plików jest wyłączone domyślnie oraz przy podaniu opcji --color=never. Z opcją --color=auto, ls wysyła kolory kodów tylko wtedy, gdy standardowe wyjście jest przyłączone do terminala. Zmienna środowiskowa LS_COLORS może zmieniać te ustawienia. Można ją ustawić przy pomocy polecenia dircolors.

  Kod wyjściowy:

0   OK,

1   przy drobnych problemach (np. brak dostępu do podkatalogu),

2   przy poważnych problemach (np. brak dostępu do podanego argumentu).

AUTOR
Napisane przez Richarda M. Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w vdir proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu vdir proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja vdir jest dostępna w formacie Texinfo. Jeśli programy info i vdir są poprawnie zainstalowane, to polecenie

    info coreutils 'vdir invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.